<?php

namespace App\Http\Controllers;


use Illuminate\Http\Request;
use App\Models\Konsultasi;
Use App\Models\Desa;
use Illuminate\Support\Facades\DB;

class LaporanController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //return view('admin.laporan.index', [
        //    'konsultasis' => Konsultasi::all()
        //]);
        
            $konsultasis = Konsultasi::select('kd_desa', DB::raw('SUM(jawaban) as total'))
            ->groupBy('kd_desa')
            ->get();

            return view('admin.laporan.index', compact('konsultasis'));
        
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //return view('admin.laporan.edit', [
        //    'konsultasi' => $konsultasi,
        //]);

        $konsultasi=Konsultasi::find($id);
        return view('admin.laporan.edit', compact('konsultasi'));

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
